summaryrefslogtreecommitdiff
path: root/xf86vidmodeproto/autogen.sh
diff options
context:
space:
mode:
authorKeith Packard <keithp@keithp.com>2017-12-13 15:12:27 -0800
committerKeith Packard <keithp@keithp.com>2017-12-13 15:12:27 -0800
commitd60e9a99054ae755c33897174a0fffa191748bcf (patch)
tree543138a2b0fded1247773a4681886049ad392090 /xf86vidmodeproto/autogen.sh
parent65bfcd8bbd3a6b304541854b730c302accc28073 (diff)
Move common xf86vidmodeproto files out of the way
Diffstat (limited to 'xf86vidmodeproto/autogen.sh')
-rwxr-xr-xxf86vidmodeproto/autogen.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/xf86vidmodeproto/autogen.sh b/xf86vidmodeproto/autogen.sh
new file mode 100755
index 0000000..113bc9a
--- /dev/null
+++ b/xf86vidmodeproto/autogen.sh
@@ -0,0 +1,17 @@
+#! /bin/sh
+
+srcdir=`dirname "$0"`
+test -z "$srcdir" && srcdir=.
+
+ORIGDIR=`pwd`
+cd "$srcdir"
+
+autoreconf -v --install || exit 1
+cd "$ORIGDIR" || exit $?
+
+git config --local --get format.subjectPrefix >/dev/null 2>&1 ||
+ git config --local format.subjectPrefix "PATCH xf86vidmodeproto"
+
+if test -z "$NOCONFIGURE"; then
+ exec "$srcdir"/configure "$@"
+fi